# Last edited on 2014-07-29 15:13:40 by stolfilocal

# Client must define SEQ (sequence name) and LEVEL (filtering level)

all: run

BASDIR := 00-DATA/bas
OUTDIR := out

clean:: 
	-/bin/rm -f ${OUTDIR}/*.eqs

PROGDIR := ${STOLFIHOME}/programs/c/DNA/dna_seq_filter
PROG := dna_seq_filter

ifneq "/" "/${LEVEL}"
ifneq "/" "/${SEQ}"

ifeq "/${LEVEL}" "/01"
  INFILE := ${BASDIR}/${SEQ}.bas
  # The resampling step {DINI} of the initial filter is arbitrary:
  RESAMPLE := 1.00
  # The variance {VINI} of the initial filter is arbitrary:
  WEIGHTS := wg040
else
  PREVLEV := ${shell printf "%02d" "$$(( ${LEVEL} - 1 ))"}
  INFILE := out/${SEQ}-f${PREVLEV}.eqs
  # The resampling step {DINC} of the incremental filter should be 2: 
  RESAMPLE := 2.00
  # The variance {VINC} of the incremental filter filter must be 3*{VINI}/{DINI}
  WEIGHTS := wg120
endif

OUTFILE := out/${SEQ}-f${LEVEL}.eqs

  
run: ${PROGDIR}/${PROG}
	${PROGDIR}/${PROG} \
          -inFile ${INFILE} \
          -filter `cat 00-DATA/weights/${WEIGHTS}.txt | sed -e 's:[#].*$$::g'` \
          -resample ${RESAMPLE} \
          -outFile ${OUTFILE}
endif
endif

${PROGDIR}/${PROG}: 
	cd ${PROGDIR}/${PROG} && make -k ${PROG}
 
