# Last edited on 2014-08-28 02:35:48 by stolfilocal
# Client must define SEQA SEQB INIWT INCWT LEVEL MAG

PROG := dna_seq_to_pov
PROGDIR := ${STOLFIHOME}/programs/c/DNA/dna_seq_to_pov

# Directory and name of common POV-Ray files:
POVDIR := ${PROGDIR}/povlib
POVNAME := dna_seq_to_pov_main
POVFILE := ${POVDIR}/${POVNAME}.pov
POVLIBNAMES := \
  dna_seq_to_pov_camlight \
  dna_seq_to_pov_tetraframe \
  dna_seq_to_pov_axes
POVLIBFILES := ${addprefix, ${addsuffix .inc,${POVDIR}/,${POVLIBNAMES}}}

# Script that calls POV-Ray:
RENDERER := dna_seq_to_pov_render.sh
RENDERERDIR := ${PROGDIR}

# Client must define SEQA SEQB LEVEL MAG

ifneq "/" "/${SEQA}"
ifneq "/" "/${SEQB}"
ifneq "/" "/${INIWT}"
ifneq "/" "/${INCWT}"
ifneq "/" "/${LEVEL}"
ifneq "/" "/${MAG}"

OUTDIR := out
IMGDIR := ${OUTDIR}

ifeq "/${SEQB}" "/NONE"
  SEQFILES := \
    ${OUTDIR}/${SEQA}-f${LEVEL}.eqs
else
  SEQFILES := \
    ${OUTDIR}/${SEQA}-f${LEVEL}.eqs \
    ${OUTDIR}/${SEQB}-f${LEVEL}.eqs
endif
SEQFILES_OPS := ${addprefix -seqFile ,${SEQFILES}}

TAG := AB

OUTNAME := ${SEQA}-${SEQB}-f${LEVEL}
IMGNAME := ${OUTNAME}

# The POV-Ray model of the DNA string, created by ${PROG}:
OUTINC := ${OUTDIR}/${OUTNAME}.inc

# The image created by POV-ray (via ${RENDERER}) from ${OUTINC}:
OUTPNG := ${OUTDIR}/${OUTNAME}.png

# File created by ${RENDERER}:
PARAMFILE := 

all: ${OUTPNG}


${OUTPNG}: ${MAKEFILE} \
           ${SEQFILES} ${OUTDIR} ${IMGDIR} \
           ${POVFILE} ${POVLIBFILES} \
           ${PROGDIR}/${PROG} \
           ${PROGDIR}/${RENDERER} 
	${PROGDIR}/${PROG} \
          ${SEQFILES_OPS} \
          -maxDiff 0.25 \
          -magnify ${MAG} \
          -perturb 0.001 \
          -tag ${TAG} \
          > ${OUTINC}
	${PROGDIR}/${RENDERER} \
          ${POVDIR} \
          ${POVNAME} \
          ${OUTDIR} \
          ${OUTNAME} \
          ${IMGDIR} \
          ${IMGNAME}
	if [[ ${SHOW} -ne 0 ]]; then ${IMGVIEW} ${OUTPNG}; fi
 
clean-single:
	rm -fv ${OUTINC} ${OUTPNG} ${PARAMFILE}
        
${OUTDIR}:
	mkdir -pv ${OUTDIR}

${IMGDIR}:
	mkdir -pv ${IMGDIR}

endif
endif
endif
endif
endif
endif


