// Last edited on 2014-06-09 21:52:00 by stolfilocal
// Model main POV-Ray file

#include "dna_seq_to_pov_params.inc"
#include "dna_seq_to_pov_axes.inc"
#include "dna_seq_to_pov_camlight.inc"
#include "dna_seq_to_pov_tetraframe.inc"

#declare tx_red = 
  texture{
    pigment{ color rgb < 1.000, 0.100, 0.000 > } // 0.360
    finish{ diffuse 0.8 ambient 0.2 }
  }

#declare tx_blue = 
  texture{
    pigment{ color rgb < 0.000, 0.433, 1.000 > } // 0.360
    finish{ diffuse 0.8 ambient 0.2 }
  }

#declare tx_green = 
  texture{
    pigment{ color rgb < 0.100, 0.550, 0.000 > } // 0.360
    finish{ diffuse 0.8 ambient 0.2 }
  }

#declare tx_orange = 
  texture{
    pigment{ color rgb < 0.800, 0.200, 0.000 > } // 0.360
    finish{ diffuse 0.8 ambient 0.2 }
  }

#declare tx_frame = 
  texture{
    pigment{ color rgb < 0.500, 0.500, 0.500 > } 
    finish{ diffuse 0.8 ambient 0.2 }
  }

#declare tx_seq = array[3]
#declare tx_seq[0] = texture{ tx_red }
#declare tx_seq[1] = texture{ tx_green }
#declare tx_seq[2] = texture{ tx_blue }

background{ color rgb < 1.000, 1.000, 1.000 > }

sphere{ < 0, 0, 0 >, sqrt(3) + 0.01
  hollow
  pigment{ color rgb < 1, 1, 1 > transmit 1.000 } hollow
  interior{
    media{
      scattering{ 1, color rgb 0.15*< 1.000, 1.000, 1.000 > }
      emission color rgb 0.15*< 1.000, 1.000, 1.000 >
      samples 2, 20
    }
  }
}

union{
  object{ sequencesAB(0.01, tx_seq, tx_orange) }
  object{ dna_seq_to_pov_tetra_frame(0.005) texture{ tx_frame } } 
  // object{ dna_seq_to_pov_axes(1.5) }
}

#include "dna_seq_to_pov_camlight.inc"
#declare scene_center = < 0.00, 0.00, 0.00 >;
#declare scene_radius = 2.02;
#declare dir_camera = < 14.00, -7.00, 4.00 >;
#declare dist_camera = 16.0;
#declare light_intens = 1.00;
dna_seq_to_pov_camlight(scene_center, scene_radius, dir_camera, dist_camera, z, light_intens)